This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882224 - nodedev is missing storage devices on ARM
nodedev is missing storage devices on ARM
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
arm7 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks: LibvirtNonX86
  Show dependency treegraph
 
Reported: 2012-11-30 07:51 EST by Daniel Berrange
Modified: 2016-03-23 19:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 19:23:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
udevadm info --exportdb (114.44 KB, text/plain)
2012-11-30 07:51 EST, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2012-11-30 07:51:04 EST
Description of problem:
I have an Chromebook with a Cortex A-15  ARM CPU

# virsh nodedev-list --tree
computer
 |
  +- net_lo_00_00_00_00_00_00
  +- net_mlan0_20_02_af_ee_79_90
  +- usb_usb1
  |   |
  |   +- usb_1_0_1_0
  |   +- usb_1_2
  |       |
  |       +- usb_1_2_1_0
  |       +- usb_1_2_2
  |           |
  |           +- usb_1_2_2_1_0
  |           +- usb_1_2_2_1_1
  |             
  +- usb_usb2
  |   |
  |   +- usb_2_0_1_0
  |     
  +- usb_usb3
  |   |
  |   +- usb_3_0_1_0
  |     
  +- usb_usb4
      |
      +- usb_4_0_1_0
        


Notice the omission of any storage devices, which do exist:

# cat /proc/partitions 
major minor  #blocks  name

 179        0   15388672 mmcblk0
 179        1   11051008 mmcblk0p1
 179        2      16384 mmcblk0p2
 179        3    2097152 mmcblk0p3
 179        4      16384 mmcblk0p4
 179        5    2097152 mmcblk0p5
 179        6          0 mmcblk0p6
 179        7          0 mmcblk0p7
 179        8      16384 mmcblk0p8
 179        9          0 mmcblk0p9
 179       10          0 mmcblk0p10
 179       11       8192 mmcblk0p11
 179       12      16384 mmcblk0p12
 179       32       2048 mmcblk0boot1
 179       16       2048 mmcblk0boot0
 179       48    7761920 mmcblk1
 179       49      16384 mmcblk1p1
 179       50      16384 mmcblk1p2
 179       51    7725039 mmcblk1p3


Version-Release number of selected component (if applicable):
libvirt-client-0.9.11.6-1.fc17.armv7hl

How reproducible:
Always
Comment 1 Daniel Berrange 2012-11-30 07:51:45 EST
Created attachment 655005 [details]
udevadm info --exportdb

List of devices from udev
Comment 3 Cole Robinson 2016-03-23 19:23:16 EDT
commit e2b373e6d62c813e542830824080ad4134c071b6
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Wed Apr 3 18:20:41 2013 +0100

    Add support for SD cards in nodedev driver

Note You need to log in before you can comment on or make changes to this bug.